function dx = beweggl_funktion(t,x)

% Zahlenwerte festlegen
init_vars

% aktuelle Lage-Koordinaten
gamma  = x(1);
Dgamma = x(2);
delta = asin(lambda*sin(gamma));
deltaStr = lambda*cos(gamma)/cos(delta);
delta2Str = sin(delta)*(lambda^2-1)/cos(delta)^3;

% transiente Gaskraft berechnen
FG = gaskraft_funktion(gamma,F_Gmax);

% Massenmatrix
M = I1 + m2*(r*cos(gamma) - b*deltaStr*cos(delta))^2 + m2*(r*sin(gamma) + ...
    b*deltaStr*sin(delta))^2 + m3*(r*sin(gamma) + deltaStr*l*sin(delta))^2 + ...
    I2*deltaStr^2 + m1*s^2;

% Vektor der verallgemeinerten Coriolis- Zertrifugal- Kreisel-Kraefte
k = Dgamma^2*m2*(r*sin(gamma) + b*deltaStr*sin(delta))*(cos(gamma)*(r + b*deltaStr*lambda) + ...
    b*delta2Str*lambda*sin(gamma)) + I2*deltaStr*delta2Str*gamma + ...
    Dgamma^2*m3*(r*sin(gamma) + deltaStr*l*sin(delta))*(cos(gamma)*(r + deltaStr*l*lambda) + ...
    delta2Str*l*lambda*sin(gamma)) + Dgamma^2*m2*sin(gamma)*(r*cos(gamma) - ...
    b*deltaStr*cos(delta))*(r - b*lambda);

% Vektor der verallgemeinerten eingepraegten-Kraefte
q = (r*sin(gamma) + deltaStr*l*sin(delta))*(FG + g*m3) - MA + g*m2*(r*sin(gamma) + ...
     b*deltaStr*sin(delta)) + g*m1*s*sin(gamma);
                                                       
% nichtlineare Zustandsgleichung
dx = [Dgamma; M\(q-k)];

end