function [g_, FG] = reaktionskraefte_funktion(gamma,Dgamma)

% Zahlenwerte festlegen
init_vars;

% transiente Gaskraft berechnen
FG = gaskraft_funktion(gamma,F_Gmax);

% aktuelle Lage-Koordinaten
delta = asin(lambda*sin(gamma));
deltaStr = lambda*cos(gamma)/cos(delta);
delta2Str = sin(delta)*(lambda^2-1)/cos(delta)^3;

% alle Matrizen definieren (copy-paste von Herleitungsskript *mks.m)
M = I1 + m2*(r*cos(gamma) - b*deltaStr*cos(delta))^2 + m2*(r*sin(gamma) + ...
    b*deltaStr*sin(delta))^2 + m3*(r*sin(gamma) + deltaStr*l*sin(delta))^2 + ...
    I2*deltaStr^2 + m1*s^2;

Q = ...
[           1,             0,             0,                 -1,                   0,                   0,                  0,                  0, 0, 0, 0, 0,  0,  0
            0,             1,             0,                  0,                  -1,                   0,                  0,                  0, 0, 0, 0, 0,  0,  0
            0,             0,             1,                  0,                   0,                  -1,                  0,                  0, 0, 0, 0, 0,  0,  0
            0,             0,             0,                  1,                   0,                   0,                 -1,                  0, 0, 0, 0, 0,  0,  0
            0,             0,             0,                  0,                   1,                   0,                  0,                 -1, 0, 0, 0, 0,  0,  0
            0,             0,             0,                  0,                   0,                   1,                  0,                  0, 0, 0, 0, 0,  0,  0
            0,             0,             0,                  0,                   0,                   0,                  1,                  0, 0, 0, 0, 0,  0,  0
            0,             0,             0,                  0,                   0,                   0,                  0,                  1, 1, 0, 0, 0,  0,  0
            0,             0,             0,                  0,                   0,                   0,                  0,                  0, 0, 1, 0, 0,  0,  0
            0,             0, -s*sin(gamma),                  0,                   0, -sin(gamma)*(r - s),                  0,                  0, 0, 0, 1, 0, -1,  0
            0,             0,  s*cos(gamma),                  0,                   0,  cos(gamma)*(r - s),                  0,                  0, 0, 0, 0, 1,  0, -1
 s*sin(gamma), -s*cos(gamma),             0, sin(gamma)*(r - s), -cos(gamma)*(r - s),                   0,                  0,                  0, 0, 0, 0, 0,  0,  0
            0,             0,             0,                  0,                   0,        b*sin(delta),                  0,                  0, 0, 0, 0, 0,  1,  0
            0,             0,             0,                  0,                   0,        b*cos(delta),                  0,                  0, 0, 0, 0, 0,  0,  1
            0,             0,             0,      -b*sin(delta),       -b*cos(delta),                   0, sin(delta)*(b - l), cos(delta)*(b - l), 0, 0, 0, 0,  0,  0];

qe = ...
 [     -g*m1
           0
           0
       -g*m2
           0
           0
 - FG - g*m3
           0
           0
           0
           0
         -MA
           0
           0
           0];

qc = ...
 [                                                       -Dgamma^2*m1*s*cos(gamma)
                                                         -Dgamma^2*m1*s*sin(gamma)
                                                                                 0
 -Dgamma^2*m2*(cos(gamma)*(r + b*deltaStr*lambda) + b*delta2Str*lambda*sin(gamma))
                                             Dgamma^2*m2*sin(gamma)*(r - b*lambda)
                                                                                 0
 -Dgamma^2*m3*(cos(gamma)*(r + deltaStr*l*lambda) + delta2Str*l*lambda*sin(gamma))
                                                                                 0
                                                                                 0
                                                                                 0
                                                                                 0
                                                                                 0
                                                                                 0
                                                                                 0
                                                               -I2*delta2Str*gamma];

% ## numerische Reaktionsgleichung ##

% Reaktionsmatrix
N = Q.'*(M\Q);

% Einfluss der eingepraegten Kraefte auf die Reaktionskraefte
q_hat = Q.'*(M\qe);

% Einfluss der Kreisekraefte
k_hat = Q.'*(M\qc);

% Reaktionskraefte
g_ = N\(k_hat-q_hat);
g_ = g_';

end